%

%  c=c(z,k)

% 

%  Estimates the autocovariance c(k) for a time

%  series z.

%

function c=c(z,k)

n=length(z);

zbar=mean(z);

c=0;

for i=1:n-k,

   c=c+(z(i)-zbar)*(z(i+k)-zbar);

end;

c=c/n;

